//////////////////////////////////////////////////////////////////////////////
//
//  Copyright (C) 2007-2011 Infinite Z, Inc.  All Rights Reserved.
//
//  File:       Scene.h
//  Content:    Sample code demonstrating use of 
//				      ZSStereo's Head Tracking in Default (simple) mode.
//
//////////////////////////////////////////////////////////////////////////////

#ifndef __ZSPACE_SCENE_H__
#define __ZSPACE_SCENE_H__

#include <freeglut.h>//"GL/glut.h"	//S3D

class Scene
{
public:
  Scene(void);
  ~Scene(void);

  // Load 3D models into the video RAM.
  void initialize();

  void lookAt(float  posX, float  posY, float  posZ,
              float lookX, float lookY, float lookZ,
              float   upX, float   upY, float   upZ);

  void update();
  // Renders scene objects.
  void render();

private:
  GLuint m_textureName;  // GL texture name.

  // BMP texture loader.
  bool createTextureFromBmp(char* filename);
};

#endif // __ZSPACE_SCENE_H__